Public Class Form1
    ' Filter out left mouse button down messages.
    Public Class NoLeftDownMessageFilter
        Implements IMessageFilter

        Public Function PreFilterMessage(ByRef m As System.Windows.Forms.Message) As Boolean Implements IMessageFilter.PreFilterMessage
            ' If the message is left mouse down, return True
            ' to indicate that the message should be ignored.
            Const WM_LBUTTONDOWN As Long = &H201
            Return (m.Msg = WM_LBUTTONDOWN)
        End Function
    End Class

    ' Install the message filter.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim no_left_down_message_filter As New NoLeftDownMessageFilter
        Application.AddMessageFilter(no_left_down_message_filter)
    End Sub

    ' Toggle the wait cursor.
    Private Sub Form1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Click
        Application.UseWaitCursor = Not Application.UseWaitCursor
    End Sub
End Class
