Imports System.Resources

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim resource_manager As ResourceManager

        ' Get the Dog image from Images.resx.
        resource_manager = New ResourceManager( _
            "EmbeddedResources.Images", _
            Me.GetType.Assembly)
        Me.BackgroundImage = CType( _
            resource_manager.GetObject("Dog"), _
            Image)

        ' Get the GreetingString from StringResources.resx.
        resource_manager = New ResourceManager( _
            "EmbeddedResources.StringResources", _
            Me.GetType.Assembly)
        lblGreeting.Text = resource_manager.GetString("Greeting")
    End Sub
End Class
